[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85RingBuffer.Read

Read data from the internal buffer

## Declaration

Source position: ascii85.pp line 42

`published function TASCII85RingBuffer.Read(`
`var aBuffer;`
`aSize: Cardinal`
`):Cardinal;`

## Arguments

`aBuffer` |  | Buffer to write data to
`aSize` |  | Number of bytes to transfer

## Function result

Number of actually transferred bytes

## Description

Read will read aSize bytes from the internal buffer and writes them to aBuffer. If not enough bytes are available, only as much bytes as available will be written. The function returns the number of bytes transferred.

## See also

TASCII85RingBuffer.FillCount |  | Number of bytes in buffer
TASCII85RingBuffer.Write |  | Write data to the internal buffer
TASCII85RingBuffer.Size |  | Size of buffer

Documentation generated on: Feb 26 2014